<?php

/*
 * This file is part of Resume.PHP.
 *
 * (copyleft) R. Eric Wheeler <sikofitt@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Created by PhpStorm.
 * User: eric
 * Date: 7/16/16
 * Time: 3:05 PM
 */

namespace Sikofitt\Command;

use Knp\Command\Command;
use Knp\Snappy\Pdf;
use Sikofitt\Resume\ResumeParser;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Process\Process;

/**
 * Class CreatePdfCommand
 *
 * @package Sikofitt\Command
 */
class CreatePdfCommand extends Command
{
    /**
     *
     */
    public function configure()
    {
        $this->setName('resume:pdf:create')
           ->setDescription('Create a pdf of your website.')
           ->setProcessTitle('PDF Creation');
    }

    /**
     * @param InputInterface  $input
     * @param OutputInterface $output
     */
    public function interact(InputInterface $input, OutputInterface $output)
    {
        $process = new Process('hostname');
        $process->run();
        $hostname = $process->getOutput();
        $resume = new ResumeParser($this->getSilexApplication());

        $request = Request::createFromGlobals();
        $pdf = new \Sikofitt\Resume\Pdf($this->getSilexApplication(), $request);
        $pdf->setHost(sprintf('http://%s', $hostname));
        $data = $pdf->render();

        file_put_contents($this->getSilexApplication()->getRootDirectory() . '/resume1.pdf', $data);
    }

    /**
     * @param InputInterface  $input
     * @param OutputInterface $output
     */
    public function execute(InputInterface $input, OutputInterface $output)
    {
    }
}
