<?php

/*
 * This file is part of Resume.PHP.
 *
 * (copyleft) R. Eric Wheeler <sikofitt@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Sikofitt\Json;

/**
 * Class JsonTrait
 * @package Sikofitt\Json
 */
trait JsonTrait
{

    /**
   * @param $array
   * @param null $schema
   * @return mixed
   */
  public function encode($array, $schema = null)
  {
      return $this['json.encode']->encode($array, $schema);
  }

  /**
   * @param $json
   * @param null $schema
   * @return mixed
   */
  public function decode($json, $schema = null)
  {
      return $this['json.decode']->decode($json, $schema);
  }

  /**
   * @param $json
   * @param $schema
   * @return mixed
   */
  public function validate($json, $schema)
  {
      return $this['json.validate']->validate($json, $schema);
  }
}
